commit:     276b2824dfc8274edb1f6a1658136981217ff1c8
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Mon Jul 27 23:07:12 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Mon Jul 27 23:07:32 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=276b2824

app-misc/tmuxp-1.5.5: Version bump

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-3.0.1, Repoman-2.3.23
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 app-misc/tmuxp/Manifest           |  1 +
 app-misc/tmuxp/tmuxp-1.5.5.ebuild | 39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/app-misc/tmuxp/Manifest b/app-misc/tmuxp/Manifest
index 467b93f0b23..b9df7cead87 100644
--- a/app-misc/tmuxp/Manifest
+++ b/app-misc/tmuxp/Manifest
@@ -1 +1,2 @@
 DIST tmuxp-1.5.4.tar.gz 843048 BLAKE2B 
863b428198e8bb2895802ba7365ac2ec43fc75c708b41929934b6803c79b8f6436b5233ad567f1ab010e6ae372d89261a7ee19953fa01ab9defd1e290b6da621
 SHA512 
f6fdecff23de883076461fcef3fb1555242d8a96f1c05c88fd0fb3216bbb99fb321680f484972b10f54ff87eb032d8627397f76960262612954eaab6bbf7c7a9
+DIST tmuxp-1.5.5.tar.gz 856665 BLAKE2B 
fa18222840b9c221de48a78291243776a66a7aec3221f23be3218f81eae0d15ce5a4568f7eff679c01793d4ac4d441f6714c37d9ac3c9f705af49214f5dc2570
 SHA512 
61c14197af7742b48dab95443bb818ede20d26aa46ab2e89b883a34e2bcec910d8210fc1358fc88f96ccc637c47d6432082cd58995b80a43234cebba95240ebc

diff --git a/app-misc/tmuxp/tmuxp-1.5.5.ebuild 
b/app-misc/tmuxp/tmuxp-1.5.5.ebuild
new file mode 100644
index 00000000000..69f10ba8f18
--- /dev/null
+++ b/app-misc/tmuxp/tmuxp-1.5.5.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="tmux session manager. built on libtmux"
+HOMEPAGE="https://tmuxp.git-pull.com";
+SRC_URI="https://github.com/tmux-python/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+
+RDEPEND="
+       >=app-misc/tmux-3.0a
+       dev-python/kaptan[${PYTHON_USEDEP}]
+       >=dev-python/libtmux-0.8[${PYTHON_USEDEP}]
+       <dev-python/libtmux-0.9[${PYTHON_USEDEP}]
+       >=dev-python/click-7.0[${PYTHON_USEDEP}]
+       <dev-python/click-8.0[${PYTHON_USEDEP}]
+       >=dev-python/colorama-0.3.9[${PYTHON_USEDEP}]
+"
+BDEPEND="${RDEPEND}
+       test? (
+               >=dev-python/pytest-4.1.1[${PYTHON_USEDEP}]
+               >=dev-python/pytest-rerunfailures-4.2[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       SHELL="/bin/bash" pytest -vv || die "Tests fail with ${EPYTHON}"
+}

Reply via email to